class Raptor < Formula
  desc "RDF parser toolkit"
  homepage "https://librdf.org/raptor/"
  url "https://download.librdf.org/source/raptor2-2.0.16.tar.gz"
  sha256 "089db78d7ac982354bdbf39d973baf09581e6904ac4c92a98c5caadb3de44680"
  license any_of: ["LGPL-2.1-or-later", "GPL-2.0-or-later", "Apache-2.0"]

  livecheck do
    url :homepage
    regex(/href=.*?raptor2[._-]v?(\d+(?:\.\d+)+)\.t/i)
  end

  uses_from_macos "curl"
  uses_from_macos "libxml2"

  def install
    system "./configure", *std_configure_args
    system "make", "install"
  end

  test do
    system bin/"rapper", "--output", "ntriples", "https://planetrdf.com/guide/rss.rdf"
  end
end
